#!/bin/bash

# Extract the version number from VERSION.txt
VERSION=$(cat version.txt)
echo "Current version is ${VERSION}"

# Use a regular expression to extract the major, minor, and patch numbers
if [[ ${VERSION} =~ ^([0-9]+)\.([0-9]+)\.([0-9]+)$ ]]; then
    MAJOR=${BASH_REMATCH[1]}
    MINOR=${BASH_REMATCH[2]}
    PATCH=${BASH_REMATCH[3]}
else
    echo "Could not extract version number from VERSION.txt"
    exit 1
fi

# Increment the patch number by 1
PATCH=$((${PATCH}+1))

# Construct the new version string
NEW_VERSION="${MAJOR}.${MINOR}.${PATCH}"
echo "New version is ${NEW_VERSION}"

# Write the new version string back to VERSION.txt
echo "${NEW_VERSION}" > version.txt

